# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## 2022-07-11

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_analysis` - `v2.2.0`](#wyatt_analysis---v220)

---

#### `wyatt_analysis` - `v2.2.0`

 - **FIX**: rename to follow melos versioning and remove redundant rule.
 - **FEAT**: promote experimental, update analyzer rules and add some linter rules.


## 2022-07-10

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`form_bloc_example` - `v1.1.0`](#form_bloc_example---v110)
 - [`wyatt_form_bloc` - `v0.0.3`](#wyatt_form_bloc---v003)
 - [`authentication_bloc_example` - `v1.0.1`](#authentication_bloc_example---v101)
 - [`wyatt_authentication_bloc` - `v0.2.1+1`](#wyatt_authentication_bloc---v0211)

Packages with dependency updates only:

> Packages listed below depend on other packages in this workspace that have had changes. Their versions have been incremented to bump the minimum dependency versions of the packages they depend upon in this project.

 - `authentication_bloc_example` - `v1.0.1`
 - `wyatt_authentication_bloc` - `v0.2.1+1`

---

#### `form_bloc_example` - `v1.1.0`

 - **FEAT**: add list option validator.
 - **DOCS**: add example app.

#### `wyatt_form_bloc` - `v0.0.3`

 - **FEAT**: add helpers.
 - **FEAT**: add metadata on inputs.
 - **FEAT**: update to latest dart version.


## 2022-06-24

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_http_client` - `v1.2.0`](#wyatt_http_client---v120)

---

#### `wyatt_http_client` - `v1.2.0`

 - **FEAT**: add new middleware feature.
 - **FEAT**: implements doublelinked list for middlewares.
 - **FEAT**: [WIP] implements middleware system.
 - **FEAT**: [WIP] work on middleware feature.


## 2022-05-23

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_http_client` - `v1.1.0`](#wyatt_http_client---v110)

---

#### `wyatt_http_client` - `v1.1.0`

 - **FEAT**: add oauth2 refresh token client.


## 2022-05-23

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_analysis` - `v2.1.0`](#wyatt_analysis---v210)

---

#### `wyatt_analysis` - `v2.1.0`

 - **FEAT**: add experimental rules in appropriate file.


## 2022-05-20

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_authentication_bloc` - `v0.2.1`](#wyatt_authentication_bloc---v021)
 - [`wyatt_bloc_helper` - `v1.1.0`](#wyatt_bloc_helper---v110)

---

#### `wyatt_authentication_bloc` - `v0.2.1`

 - **FEAT**: add google, facebook, apple, twitter login.

#### `wyatt_bloc_helper` - `v1.1.0`

 - **FEAT**: add provider, consumer and helpers.


## 2022-05-05

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_medium_feeds` - `v1.0.1`](#wyatt_medium_feeds---v101)

---

#### `wyatt_medium_feeds` - `v1.0.1`

 - **FIX**: remove useless example file.


## 2022-05-02

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_form_bloc` - `v0.0.2`](#wyatt_form_bloc---v002)
 - [`wyatt_authentication_bloc` - `v0.2.0+1`](#wyatt_authentication_bloc---v0201)

Packages with dependency updates only:

> Packages listed below depend on other packages in this workspace that have had changes. Their versions have been incremented to bump the minimum dependency versions of the packages they depend upon in this project.

 - `wyatt_authentication_bloc` - `v0.2.0+1`

---

#### `wyatt_form_bloc` - `v0.0.2`

 - **FEAT**: add list option validator.


## 2022-04-20

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_crud_bloc` - `v0.0.2`](#wyatt_crud_bloc---v002)
 - [`wyatt_analysis` - `v2.0.1`](#wyatt_analysis---v201)

---

#### `wyatt_crud_bloc` - `v0.0.2`

 - Migrate crud_package in monorepo

 - **DOCS**: add example app.

#### `wyatt_analysis` - `v2.0.1`

 - **DOCS**: Update readme with new version.


## 2022-04-20

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_authentication_bloc` - `v0.2.0`](#wyatt_authentication_bloc---v020)

Packages graduated to a stable release (see pre-releases prior to the stable version for changelog entries):

 - `wyatt_authentication_bloc` - `v0.2.0`

---

#### `wyatt_authentication_bloc` - `v0.2.0`


## 2022-04-20

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_form_bloc` - `v0.0.1`](#wyatt_form_bloc---v001)

Packages graduated to a stable release (see pre-releases prior to the stable version for changelog entries):

 - `wyatt_form_bloc` - `v0.0.1`

---

#### `wyatt_form_bloc` - `v0.0.1`


## 2022-04-20

### Changes

---

Packages with breaking changes:

 - There are no breaking changes in this release.

Packages with other changes:

 - [`wyatt_form_bloc` - `v0.0.1-dev.0`](#wyatt_form_bloc---v001-dev0)

---

#### `wyatt_form_bloc` - `v0.0.1-dev.0`

 - **REFACTOR**: all package structure/documentation.
 - **FEAT**: new utility package for forms and bloc.
 - **DOCS**: add example app.
 - **DOCS**: add few project files.


## 2022-04-19

### Changes

---

Packages with breaking changes:

 - [`wyatt_authentication_bloc` - `v0.2.0-dev.0`](#wyatt_authentication_bloc---v020-dev0)

Packages with other changes:

 - There are no other changes in this release.

---

#### `wyatt_authentication_bloc` - `v0.2.0-dev.0`

 - **BREAKING** **FEAT**: rename package.


## 2022-04-19

### Changes

---

Packages with breaking changes:

 - [`wyatt_analysis` - `v2.0.0`](#wyatt_analysis---v200)

Packages with other changes:

 - There are no other changes in this release.

---

#### `wyatt_analysis` - `v2.0.0`

 - **BREAKING** **FIX**: remove unawaited() since its in Dart 2.15.

