// ignore_for_file: public_member_api_docs, sort_constructors_first
// Copyright (C) 2022 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

part of 'form.dart';

class FormInputMetadata<T> extends Equatable {
  final bool export;
  final String? _name;
  final T? extra;

  const FormInputMetadata({
    this.export = true,
    this.extra,
    String? name,
  }) : _name = name;
  
  @override
  bool? get stringify => true;

  @override
  List<Object?> get props => [export, _name, extra];

  FormInputMetadata<T> copyWith({
    bool? export,
    String? name,
    T? extra,
  }) {
    return FormInputMetadata<T>(
      export: export ?? this.export,
      name: name ?? _name,
      extra: extra ?? this.extra,
    );
  }

  FormInputMetadata<T> clone() {
    return copyWith(
      export: export,
      name: _name,
      extra: extra,
    );
  }
}
